org.apache.xmpbox.xml

## Class PdfaExtensionHelper

- java.lang.Object
- - org.apache.xmpbox.xml.PdfaExtensionHelper

    public final class PdfaExtensionHelper
    extends Object

### Field Summary

Fields
`static String` `CLOSED_CHOICE`
`static String` `CLOSED_CHOICE_U`
`static String` `OPEN_CHOICE`
`static String` `OPEN_CHOICE_U`

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static void` `populateSchemaMapping(XMPMetadata meta)` Deprecated. use `populateSchemaMapping(org.apache.xmpbox.XMPMetadata, boolean)`
`static void` `populateSchemaMapping(XMPMetadata meta, boolean strictParsing)`
`static void` `validateNaming(XMPMetadata meta, Element description)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CLOSED_CHOICE

    public static final String CLOSED_CHOICE

See Also:
  Constant Field Values

#### CLOSED_CHOICE_U

    public static final String CLOSED_CHOICE_U

See Also:
  Constant Field Values

#### OPEN_CHOICE

    public static final String OPEN_CHOICE

See Also:
  Constant Field Values

#### OPEN_CHOICE_U

    public static final String OPEN_CHOICE_U

See Also:
  Constant Field Values

### Method Detail

#### validateNaming

    public static void validateNaming(XMPMetadata meta,
                                      Element description)
                               throws XmpParsingException

Throws:
  `XmpParsingException`

#### populateSchemaMapping

    @Deprecated
    public static void populateSchemaMapping(XMPMetadata meta)
                                                  throws XmpParsingException

Deprecated. use `populateSchemaMapping(org.apache.xmpbox.XMPMetadata, boolean)`

Parameters:
  `meta` -
Throws:
  `XmpParsingException`

#### populateSchemaMapping

    public static void populateSchemaMapping(XMPMetadata meta,
                                             boolean strictParsing)
                                      throws XmpParsingException

Throws:
  `XmpParsingException`